<?php

namespace App\Http\Requests\Attendance;

use Illuminate\Foundation\Http\FormRequest;

class SaveAdminAttendanceRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'date' => ['required', 'date'],
            'semester' => ['required', 'string'],
            'school_year' => ['required', 'string'],
            'admins' => ['nullable', 'array'],
            'staff' => ['nullable', 'array'],
        ];
    }
}